# Balance

### What the method allows you to do

* Returns an array of your account balances.

### Endpoint

<mark style="color:green;">`POST`</mark> `https://api.cryptocloud.plus/v2/merchant/wallet/balance/all`

### Headers

<table><thead><tr><th>Name</th><th width="249">Type</th><th>Example</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td>Token eyJ0eXAiOiJK&#x3C;...>4npi1ksS8tSY</td><td>Project API key</td></tr></tbody></table>

### Request Body

No request body is required.

### Request examples

These examples show how to send a request to retrieve the account balance. Note that the Request Body does not need to be filled in.

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.cryptocloud.plus/v2/merchant/wallet/balance/all \
     -H "Authorization: Token <API KEY>"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.cryptocloud.plus/v2/merchant/wallet/balance/all"
headers = {
    "Authorization": "Token <API KEY>"
}

response = requests.post(url, headers=headers)

if response.status_code == 200:
    print("Success:", response.json())
else:
    print("Fail:", response.status_code, response.text)
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
fetch('https://api.cryptocloud.plus/v2/merchant/wallet/balance/all', {
    method: 'POST',
    headers: {
        'Authorization': 'Token <API KEY>'
    }
})
.then(response => {
    if (response.ok) {
        return response.json();
    } else {
        throw new Error('Fail: ' + response.status + ' ' + response.statusText);
    }
})
.then(data => console.log('Success:', data))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, "https://api.cryptocloud.plus/v2/merchant/wallet/balance/all");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, 1);

$headers = array(
    "Authorization: Token <API KEY>",
);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$response = curl_exec($ch);
if (curl_errno($ch)) {
    echo 'Error:' . curl_error($ch);
} else {
    $statusCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    if ($statusCode == 200) {
        echo "Success: " . $response;
    } else {
        echo "Fail: " . $statusCode . " " . $response;
    }
}

curl_close($ch);
?>
```

{% endtab %}
{% endtabs %}

### Response examples

A successful request returns a response with the status `success` and a `result` object.

{% tabs %}
{% tab title="200: OK – Balance" %}

```json
{
   "status": "success",
   "result": [
       {
           "currency": {
               "id": 4,
               "code": "USDT_TRC20",
               "short_code": "USDT",
               "name": "Tether",
               "is_email_required": false,
               "stablecoin": true,
               "icon_base": "https://cdn.cryptocloud.plus/img/currency/USDT.svg",
               "icon_network": "https://cdn.cryptocloud.plus/img/currency_network/USDT_TRC.svg",
               "icon_qr": "https://cdn.cryptocloud.plus/img/stroke/USDT_STROKE.svg",
               "order": 1,
               "obj_network": {
                   "code": "TRC20",
                   "id": 4,
                   "icon": "https://cdn.cryptocloud.plus/img/network/TRC20.svg",
                   "fullname": "Tron"
               },
               "enable": true
           },
           "balance_crypto": 10.0,
           "balance_usd": 10.0,
           "available_balance": 10.0,
           "available_balance_usd": 10.0
       },
…
]
}
```

{% endtab %}
{% endtabs %}

### Response parameters

The `result` object contains:

<table><thead><tr><th>Name</th><th width="249">Type</th><th>Example</th><th>Description</th></tr></thead><tbody><tr><td>currency</td><td>dict</td><td><p>"currency": {</p><p>               "id": 4,</p><p>               "code": "USDT_TRC20",             "short_code": "USDT",</p><p>               "name": "Tether",               "is_email_required": false,               "stablecoin": true,               "icon_base": "https://cdn.cryptocloud.plus/img/currency/USDT.svg",               "icon_network": "https://cdn.cryptocloud.plus/img/currency_network/USDT_TRC.svg",</p><p>               "icon_qr": "https://cdn.cryptocloud.plus/img/stroke/USDT_STROKE.svg",</p><p>               "order": 1,               "obj_network": {</p><p>                   "code": "TRC20",</p><p>                   "id": 4,</p><p>                   "icon": "https://cdn.cryptocloud.plus/img/network/TRC20.svg",                   "fullname": "Tron"</p><p>               },</p><p>               "enable": true</p><p>           }</p></td><td>Currency object associated with the balance</td></tr><tr><td>balance_crypto</td><td>float</td><td>10.0</td><td>Balance in cryptocurrency</td></tr><tr><td>balance_usd</td><td>float</td><td>10.0</td><td>Balance in USD at the exchange rate at the time of the request</td></tr><tr><td>available_balance</td><td>float</td><td>10.0</td><td>Withdrawable balance in cryptocurrency</td></tr><tr><td>available_balance_usd</td><td>float</td><td>10.0</td><td>Withdrawable balance in USD</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cryptocloud.plus/en/api-reference-v2/balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
